<mat-sidenav-container class="sidenav-container">
  <mat-sidenav #drawer class="sidenav" [ngClass]="{ hideSideNav: !(isHandset$ | async) }" fixedInViewport="false"
    [attr.role]="(isHandset$ | async) ? 'dialog' : 'navigation'" [mode]="(isHandset$ | async) ? 'over' : 'side'"
    [opened]="(isHandset$ | async) === false">
    <mat-toolbar>Menu </mat-toolbar>
    <mat-nav-list *ngIf="ContentType === 1">
      <a mat-list-item (click)="logOut()">Log Out</a>
    </mat-nav-list>
  </mat-sidenav>
  <mat-sidenav-content>
    <mat-toolbar>
      <button type="button" aria-label="Toggle sidenav" mat-icon-button (click)="drawer.toggle()"
        *ngIf="isHandset$ | async">
        <mat-icon aria-label="Side nav toggle icon">menu</mat-icon>
      </button>
      <span>Lottery</span>
      <span class="spacer"></span>
      <div [ngClass]="{ hideDesktopLinks: isHandset$ | async }" class="desktopLinks">
        <div *ngIf="ContentType === 1">
          <button mat-raised-button (click)="logOut()">Log Out</button>
        </div>
      </div>
    </mat-toolbar>
    <ng-content></ng-content>
  </mat-sidenav-content>
</mat-sidenav-container>